/*******************************************************************************
* Title                 :   System Initialization
* Filename              :   sys_init.c
* Author                :   JWB
* Origin Date           :   04/23/2012
* Notes                 :   None
*******************************************************************************/
/*************** MODULE REVISION LOG ******************************************
*
*    Date    Software Version    Initials   Description
*  XX/XX/XX    XXXXXXXXXXX         JWB      Module Created.
*/


#include <stdint.h>
#include <stddef.h>
/******************************************************************************
* Module Preprocessor Constants
*******************************************************************************/

/******************************************************************************
* Module Preprocessor Macros
*******************************************************************************/

/******************************************************************************
* Module Typedefs
*******************************************************************************/

/******************************************************************************
* Module Variable Definitions
*******************************************************************************/
extern sfr sbit IN1;
extern sfr sbit IN2;
extern sfr sbit SLP;
/******************************************************************************
* Function Prototypes
*******************************************************************************/

/******************************************************************************
* Function Definitions
*******************************************************************************/

void dc_motor3_short_brake()
{
 IN1 = IN2 = 1;
}

void dc_motor3_stop()
{
  if (SLP != 1)
      SLP = 1;
  IN1 = IN2 = 0;
}

void dc_motor3_standby()
{
  SLP = 0;
}

void dc_motor3_clockwise()
{
  if (SLP != 1)
      SLP = 1;
  IN1 = 0;
  IN2 = 1;

}

void dc_motor3_counter_clockwise()
{
    if (SLP != 1)
        SLP = 1;
    IN1 = 1;
    IN2 = 0;

}

void dc_motor3_in1_high()
{
    IN1 = 1;
}

void dc_motor3_in1_low()
{
    IN1 = 0;
}

void dc_motor3_in2_high()
{
    IN2 = 1;
}

void dc_motor3_in2_low()
{
    IN2 = 0;
}

/*************** END OF FUNCTIONS ******/