/****************************************************************************
* Title                 :   ADC Application
* Filename              :   adc_app.h
* Author                :   JWB
* Origin Date           :   06/07/2012
* Notes                 :   None
*****************************************************************************/
/**************************CHANGE LIST **************************************
*
*    Date    Software Version    Initials   Description
*  08/17/13    XXXXXXXXXXX         JWB      Interface Created.
*
*****************************************************************************/
/** @file file_here.h
 *  @brief What is does
 *
 *  @date 25 Aug 2015
 *  @author Richard Lowe
 *  @copyright GNU Public License
 *
 *  @version .1 - Initial testing and verification
 *
 *  @note Test configuration:
 *   MCU:             STM32F107VC
 *   Dev.Board:       EasyMx Pro v7
 *   Oscillator:      72 Mhz internal
 *   Ext. Modules:    GPS Click
 *   SW:              ARM 4.5.2
 *
 */
#ifndef MODULE_H_
#define MODULE_H_

/******************************************************************************
* Includes
*******************************************************************************/
//#include "dc_motor3_hal.h"
#include <stdint.h>
/******************************************************************************
* Preprocessor Constants
*******************************************************************************/
/**
 * This constant is
 */


/******************************************************************************
* Configuration Constants
*******************************************************************************/


/******************************************************************************
* Macros
*******************************************************************************/



/******************************************************************************
* Typedefs
*******************************************************************************/


/******************************************************************************
* Variables
*******************************************************************************/


/******************************************************************************
* Function Prototypes
*******************************************************************************/
#ifdef __cplusplus
extern "C"{
#endif
#if defined( __MIKROC_PRO_FOR_ARM__ )
int dc_motor3_init( void *set_duty, uint8_t pwm_channel );

#elif defined( __MIKROC_PRO_FOR_PIC__ )
int dc_motor3_init( void *set_duty );


#elif defined( __MIKROC_PRO_FOR_FT90x__ )
int dc_motor3_init( void *set_duty, uint8_t pwm_channel );

#endif

void dc_motor3_set_speed (uint8_t speed);
void dc_motor3_short_brake();
void dc_motor3_stop();
void dc_motor3_standby();
void dc_motor3_clockwise();
void dc_motor3_counter_clockwise();
void dc_motor3_in1_high();
void dc_motor3_in1_low();
void dc_motor3_in2_high();
void dc_motor3_in2_low();



#ifdef __cplusplus
} // extern "C"
#endif

#endif /*File_H_*/

/*** End of File **************************************************************/